# Payment Notify

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

| Environment | Method | URL                                                               |
| ----------- | ------ | ----------------------------------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/pg/payment/card/v1.0/qr/qr-mpm-notify> |
| Production  | POST   | <https://live.finnet.co.id/pg/payment/card/v1.0/qr/qr-mpm-notify> |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name                       | Type                                                                    | Mandatory | Min Length | Max Length | Description                                                                                                  |
| -- | -------------------------- | ----------------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------------------------------------------------------------------------------ |
| 1  | originalPartnerReferanceNo | String                                                                  | O         | 1          | 64         | Original Transaction identifier on service consumer system                                                   |
| 2  | originalReferenceNo        | String                                                                  | M         | 1          | 64         | Original transaction identifier on service provider system                                                   |
| 3  | latestTransactionStatus    | String                                                                  | M         | 1          | 2          | 00 - Success 01 - Initiated 02 - Paying 03 - Pending 04 - Refunded 05 - Cancelled 06 - Failed 07 - Not found |
| 4  | transactionStatusDesc      | String                                                                  | M         | 1          | 50         | Description status transaction                                                                               |
| 5  | amount                     | [Object](/api-reference/appendix/json-object/amount-object.md)          | M         | 1          | 2          | Detail of amount                                                                                             |
| 6  | additionalInfo             | [Object](/api-reference/appendix/json-object/additional-info-object.md) | M         | 1          | 18         | Additional Info                                                                                              |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
   "originalReferenceNo":"2020102977770000000009",
   "originalPartnerReferenceNo":"2020102900000000000001",
   "latestTransactionStatus":"00",
   "transactionStatusDesc":"success",
   "amount":{
      "value":"12345678.00",
      "currency":"IDR"
   },
   "additionalInfo":{
      "cust_name": "CANDRA GUNAWAN GAHO",
 "merchantName": "BB011 WARTEG MUSTIKA",
 "rrn": "000019001390",
 "nns_issuer": "93600014",
 "nns_acquirer": "93600777",
 "mpan": "9360077732302230011",
 "cpan": "9360001410190013903",
 "nmid": "ID1023249949984",
          "sof_id": "qr_statis",
 "invoice": "2020102900000000000001",
 "issuer": "BCA", 
 "acquirer": "Finpay",
 "note": "Transaction Remark",
 "merchantId":"FM1234567700",
   "FeeAmount":{
        "value":"1234.00",
        "currency":"IDR"
   },
 "paidTime":"2024-06-07T10:03:54+07:00",
 "qr_type": "12",
 "tips_indikator": "00"
   }
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name            | Type                                                              | Mandatory | Min Length | Max Length | Description               |
| -- | --------------- | ----------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------- |
| 1  | responseCode    | [Enum](/api-reference/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | BI SNAP Response Code.    |
| 2  | responseMessage | String                                                            | M         | 1          | 150        | BI SNAP Response Message. |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
   ""responseCode"":""2005200"",
   ""responseMessage"":""Request has been processed successfully""
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/snap/qris/payment-notify.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
